| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
List of all members
cv::EMDL1HistogramCostExtractor Class Reference
Shape Distance and Matching

An EMD-L1 based cost extraction. : More...

`#include <opencv2/shape/hist_cost.hpp>`

Collaboration diagram for cv::EMDL1HistogramCostExtractor:

## Additional Inherited Members
Public Member Functions inherited from cv::HistogramCostExtractor
virtual void | buildCostMatrix (InputArray descriptors1, InputArray descriptors2, OutputArray costMatrix)=0
virtual float | getDefaultCost () const =0
virtual int | getNDummies () const =0
virtual void | setDefaultCost (float defaultCost)=0
virtual void | setNDummies (int nDummies)=0
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state.
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read.
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage.
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage.
void | write (FileStorage &fs, const String &name) const
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file.
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String.
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node.
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

An EMD-L1 based cost extraction. :

The documentation for this class was generated from the following file:

- opencv2/shape/hist_cost.hpp